<?xml version="1.0" encoding="utf-8" ?>
<component name="SearchScreen" extends="BaseGroup" initialFocus="ListFilters">
  <interface>
    <field id="content" type="node" alwaysNotify="true" alias="searchList.content"/>
    <field id="currentFilter" type="string" alwaysNotify="true"/>
    <field id="filterSelected" type="integer" alias="ListFilters.rowItemSelected" alwaysNotify="true"/>
    <field id="filterItemFocused" type="integer" alias="ListFilters.rowItemFocused" alwaysNotify="true"/>
	<field id="jumpToItem" type="intarray" alias="searchList.jumpToItem" />
	<field id="rowItemSelected" type="intarray" alwaysnotify="true" alias="searchList.rowItemSelected" />
	<field id="searching" type="boolean" alwaysNotify="true"/>
	<field id="showSpinner" type="boolean" alwaysNotify="true"/>
    <function name="focusList"/>
    <function name="focusKeyboard"/>
  </interface>
  <script type="text/brightscript" uri="SearchScreen.brs"/>
  <children>
        <layoutGroup id="Box" layoutDirection = "vert" horizAlignment = "custom" vertAlignment = "custom">
		    <Poster id="search_bar" width="650" height="100"  uri = "pkg:/images/search_bar.png">
	          <TextEditBox id="editBox" width="400" height="30" textColor="#272828" hintTextColor = "#313233"  backgrounduri = "pkg:/images/login/transparent.png"  clearOnDownKey="false"/>
			</Poster>
            <RowList id="ListFilters" drawFocusFeedback="false" showRowCounter="[false]" translation="[26,183]" vertFocusAnimationStyle="floatingFocus" itemComponentName="SearchFilter" itemSize="[600,50]" rowHeights="[100]" numRows="1" rowItemSize="[[125,50]]" rowItemSpacing="[[28,10]]" focusXOffset="[90]" showRowLabel="[false,false]"/>
            <Label id="noResultsLabel" width="750" height="44" horizAlign="center" vertAlign="top" visible="false" color="#eeeeee" wrap="true"/>
		</layoutGroup>
	    <RowList 
            id="searchList" 
            translation="[ 120, 600 ]" 
            itemComponentName="SearchItem" 
            numRows="1"  
            itemSize="[ 1680,500 ]" 
            itemSpacing = "[ 0, 40 ]"
            rowItemSize="[ [260, 350] ]" 
            rowLabelOffset = "[ [0, 20] ]"
            rowHeights="[500]" 
            vertFocusAnimationStyle="fixedFocus" 
            rowFocusAnimationStyle="floatingFocus" 
            showRowLabel="[true]" 
            showRowCounter="[true]" 
            rowItemSpacing="[ [20,0] ]"	  
            drawFocusFeedback="true" />
	    <Rectangle id="keyBox" color="0x000000FF" opacity="0.9" visible = "false">
			<SearchKeyboard id = "searchKeyboard"/>
	    </Rectangle>
		<BusySpinner id="spinner" clockwise="true" spinInterval="0.8" visible="false" translation="[1160,400]"/>
  </children>
</component>

